#
# Conditional build:
%bcond_without	python2 # CPython 2.x module
%bcond_without	python3 # CPython 3.x module

Summary:	EditObj can create a dialog box to edit ANY Python object
Summary(pl.UTF-8):	EditObj - tworzenie okien dialogowych do edycji dowolnego obiektu Pythona
Name:		python-editobj
Version:	0.5.3
Release:	14
License:	GPL
Group:		Libraries/Python
Source0:	http://oomadness.nekeme.net/downloads/EditObj-%{version}.tar.gz
# Source0-md5:	b933eac5959e2e269a806bd7c2ff0bee
Patch0:		prefix.patch
URL:		http://oomadness.nekeme.net/en/editobj/
BuildRequires:	rpmbuild(macros) >= 1.710
BuildRequires:	python-devel >= 1:2.3.4-2
%if %{with python2}
BuildRequires:	python-modules
BuildRequires:	python-setuptools
%endif
%if %{with python3}
BuildRequires:	python3-modules
BuildRequires:	python3-setuptools
%endif
BuildRequires:	rpm-pythonprov
%pyrequires_eq	python-modules
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
EditObj can create and display a Tkinter dialog box for editing any
Python object (similarly to what Java call a Bean editor, but for
Python object). EditObj is a useful tool for writing (text or
non-text) editors of all kinds, including GUI editor, 3D editor,...

In terms of MVC (Model View Controler), EditObj is a generic View
coupled with a universal Controler.

%description -l pl.UTF-8
EditObj potrafi stworzyć i wyświetlić okno dialogowe Tkinter do edycji
dowolnego obiektu Pythona (podobnie do tego, co w Javie nazywa się
edytorem Bean, ale dla obiektów Pythona). EditObj to narzędzie
przydatne do pisania (tekstowych i nietekstowych) edytorów wszelkiego
rodzaju, włącznie z edytorami GUI, edytorami 3D...

W terminologii MVC (Model View Controller - model-widok-kontroler),
EditObj to ogólny widok połączony z uniwersalnym kontrolerem.

%package -n python3-editobj
Summary:	EditObj can create a dialog box to edit ANY Python object
Summary(pl.UTF-8):	EditObj - tworzenie okien dialogowych do edycji dowolnego obiektu Pythona
Group:		Libraries/Python
Requires:	python3-modules

%description -n python3-editobj
EditObj can create and display a Tkinter dialog box for editing any
Python object (similarly to what Java call a Bean editor, but for
Python object). EditObj is a useful tool for writing (text or
non-text) editors of all kinds, including GUI editor, 3D editor,...

In terms of MVC (Model View Controler), EditObj is a generic View
coupled with a universal Controler.

%description -n python3-editobj -l pl.UTF-8
EditObj potrafi stworzyć i wyświetlić okno dialogowe Tkinter do edycji
dowolnego obiektu Pythona (podobnie do tego, co w Javie nazywa się
edytorem Bean, ale dla obiektów Pythona). EditObj to narzędzie
przydatne do pisania (tekstowych i nietekstowych) edytorów wszelkiego
rodzaju, włącznie z edytorami GUI, edytorami 3D...

W terminologii MVC (Model View Controller - model-widok-kontroler),
EditObj to ogólny widok połączony z uniwersalnym kontrolerem.

%prep
%setup -qn EditObj-%{version}
%patch -P 0 -p1

%build
%if %{with python2}
%py_build %{?with_tests:test}
%endif

%if %{with python3}
%py3_build %{?with_tests:test}
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%py_install

# when files are installed in other way that standard 'setup.py
# they need to be (re-)compiled
# change %{py_sitedir} to %{py_sitescriptdir} for 'noarch' packages!
%py_ocomp $RPM_BUILD_ROOT%{py_sitedir}
%py_comp $RPM_BUILD_ROOT%{py_sitedir}

%py_postclean
%endif

%if %{with python3}
%py3_install
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc README
%{py_sitescriptdir}/editobj
%{py_sitescriptdir}/EditObj-%{version}-py*.egg-info
%endif

%if %{with python3}
%files -n python3-editobj
%defattr(644,root,root,755)
%doc README
%{py3_sitescriptdir}/editobj
%{py3_sitescriptdir}/EditObj-%{version}-py*.egg-info
%endif
%changelog
* Tue Mar 11 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-editobj.git;a=log;h=master

* Tue Mar 11 2025 Jan Rękorajski <baggins@pld-linux.org> eea94a1
- doc/test rebuild for python 3.13

* Mon Mar 10 2025 Jan Rękorajski <baggins@pld-linux.org> 7a5020f
- python 3.13 rebuild

* Sun Mar 09 2025 Jan Rękorajski <baggins@pld-linux.org> ccc1492
- use patch -P

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> 6095ef3
- rebuild with tests and docs

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> ee94a05
- rebuild with python 3.10

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> 796677b
- rebuild with python 3.10

* Sat Feb 27 2021 Jan Rękorajski <baggins@pld-linux.org> 407bc0f
- release 9 (by relup.sh)

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> 7876716
- rebuild with python 3.8
- release 8 (by relup.sh)

* Tue Jul 03 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> ec9ed04
- release 7 (by relup.sh)

* Fri May 12 2017 Jan Rękorajski <baggins@pld-linux.org> d4ef47f
- fix subpackage name
- rel 6

* Wed Mar 08 2017 Jan Rękorajski <baggins@pld-linux.org> 0b6c232
- fix install
- add python3 package
- rel 5

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> 67c12e8
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> f706ba1
- release 4 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 6223895
- automatic change: use py_build/py_install macros

* Sun Jan 23 2011 sparky <sparky@pld-linux.org> 8aac754
- added BR: python-modules, rpm-pythonprov

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> b829a81
- release 3

* Fri Oct 03 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 5047b71
- release 2

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> d8f4bc4
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> c581c8f
- converted to UTF-8

* Sat Mar 12 2005 Michal Chruszcz <mchruszcz@gmail.com> 23eff86
- mass commit: remove obsolete BR: rpm-pythonprov

